
Summary:	API documentation generation tool for GTK+ and GNOME
Name: 		gtk-doc
Version:	1.18
Release: 	3
License: 	GPLv2+ and GFDL
Group: 		Development/GNOME and GTK+
URL: 		http://www.gtk.org/gtk-doc/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/%{name}-%{version}.tar.xz
BuildArch: 	noarch

BuildRequires:  dblatex
BuildRequires:  docbook-dtd43-xml
BuildRequires:  docbook-style-xsl
BuildRequires:  gnome-doc-utils
BuildRequires:	openjade
BuildRequires:  rarian
BuildRequires:  source-highlight
BuildRequires:	xsltproc
#gw for building the checks
BuildRequires:  pkgconfig(glib-2.0)

Requires:	diffutils
Requires:	docbook-utils
Requires:	docbook-dtd43-xml
Requires: 	docbook-style-xsl
Requires:	source-highlight
Requires:	xsltproc
%define __noautoreq 'perl\\(gtkdoc-common.pl\\)'
Requires(post,postun): rarian

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%package	mkpdf
Summary:	API documentation PDF format generation tool for GTK+ and GNOME
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:	dblatex
Conflicts:	%{name} < 1.17-3

%description	mkpdf
gtkdoc-mkpdf is a tool for generating API reference documentation in PDF format.
it is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%setup -q
# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%configure2_5x \
	--build=%{_build} \
	--disable-scrollkeeper

%make

%install
%makeinstall_std 

# include shared directory
install -d -m 755 %{buildroot}%{_datadir}/gtk-doc/html

%find_lang %{name}-manual --with-gnome

%check
PERL5LIB=$(pwd) PATH=$PATH:$(pwd) make check

%files -f %{name}-manual.lang
%doc AUTHORS README doc/* examples
%{_bindir}/gtkdoc-check
%{_bindir}/gtkdoc-depscan
%{_bindir}/gtkdoc-fixxref
%{_bindir}/gtkdoc-mkdb
%{_bindir}/gtkdoc-mkhtml
%{_bindir}/gtkdoc-mkman
%{_bindir}/gtkdoc-mktmpl
%{_bindir}/gtkdoc-rebase
%{_bindir}/gtkdoc-scan
%{_bindir}/gtkdoc-scangobj
%{_bindir}/gtkdoc-scanobj
%{_bindir}/gtkdocize
%{_datadir}/gtk-doc
%{_datadir}/sgml/gtk-doc
%{_datadir}/pkgconfig/gtk-doc.pc
%{_datadir}/aclocal/*

%files mkpdf
%{_bindir}/gtkdoc-mkpdf



%changelog
* Wed Apr 25 2012 Guilherme Moro <guilherme@mandriva.com> 1.18-3
+ Revision: 793420
- fix pkgconfig location and __noautoreq

* Tue Apr 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.18-2
+ Revision: 793086
- rebuild
- cleaned up spec

* Thu Sep 15 2011 Götz Waschk <waschk@mandriva.org> 1.18-1
+ Revision: 699835
- new version
- xz tarball

* Tue May 10 2011 Funda Wang <fwang@mandriva.org> 1.17-3
+ Revision: 673186
- disable scrollkeeper
- split out mkpdf to speedup cleanroot build, as we random use it to generate pdf documentations

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.17-2
+ Revision: 664942
- mass rebuild

* Sat Feb 26 2011 Götz Waschk <waschk@mandriva.org> 1.17-1
+ Revision: 640094
- update build deps
- update to new version 1.17
- update to new version 1.16

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1.15-3mdv2011.0
+ Revision: 563270
- repush to breakage :0

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 1.15-2mdv2011.0
+ Revision: 563238
- tighter requirements to not pulling gtk+ as depends.
  WARN: MAY NOT FUNCTIONAL AS EXPECTED, ONLY A TEMPORARY WORKAROUND.

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.15-1mdv2011.0
+ Revision: 550730
- update to new version 1.15

* Sun Mar 28 2010 Götz Waschk <waschk@mandriva.org> 1.14-1mdv2010.1
+ Revision: 528609
- new version
- drop patch

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 1.13-2mdv2010.1
+ Revision: 482625
- add upstream patch to fix problem when building without module specified

* Fri Dec 18 2009 Götz Waschk <waschk@mandriva.org> 1.13-1mdv2010.1
+ Revision: 480015
- enable support for dblatex and source-highlight
- new version
- drop patch
- update file list

  + Funda Wang <fwang@mandriva.org>
    - update url

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.11-4mdv2010.0
+ Revision: 425055
- rebuild

* Wed Mar 18 2009 Götz Waschk <waschk@mandriva.org> 1.11-3mdv2009.1
+ Revision: 357179
- fix for files with spaces in their names

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 1.11-2mdv2009.1
+ Revision: 303874
- enable checks

* Mon Nov 17 2008 Götz Waschk <waschk@mandriva.org> 1.11-1mdv2009.1
+ Revision: 303860
- update build deps
- new version
- fix build
- update license
- update file list

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.10-2mdv2009.0
+ Revision: 264644
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.10-1mdv2009.0
+ Revision: 192413
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2008.1
+ Revision: 95553
- new version
- update file list
- fix configure call


* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 1.8-1mdv2007.0
+ Revision: 121905
- Import gtk-doc

* Fri Feb 16 2007 Gtz Waschk <waschk@mandriva.org> 1.8-1mdv2007.1
- use the new macros
- remove scrollkeeper files
- New version 1.8

* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 1.7-1mdv2007.0
- New release 1.7

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6-2mdv2007.0
- Add missing dependency

* Mon Apr 10 2006 Götz Waschk <waschk@mandriva.org> 1.6-1mdk
- New release 1.6

* Tue Mar 07 2006 Gtz Waschk <waschk@mandriva.org> 1.5-1mdk
- add scrollkeeper stuff
- New release 1.5

* Wed Feb 22 2006 Frederic Crozat <fcrozat@mandriva.com> 1.4-2mdk
- Use mkrel

* Thu Jul 07 2005 Gtz Waschk <waschk@mandriva.org> 1.4-1mdk
- New release 1.4

* Fri Apr 29 2005 Gtz Waschk <waschk@mandriva.org> 1.3-2mdk
- fix pkgconfig file location

* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- new source URL
- New release 1.3

* Sat Apr 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2

